/*
<!---------------------------------------->
<!-- AUTHOR     : DIAS MADEIRA LUCA     -->
<!-- DESC       : stylesheet principale -->
<!-- VERSION    : 1.0                   -->
<!-- VERS. DATE : 18.02.2022            -->
<!-- CREA. DATE : 18.02.2022            -->
<!---------------------------------------->
*/

/*--------------------------------------------------------------------------*/

body
/*effets généraux appliqués à la page*/
{
	background-image: url("../image/body_bg.jpg");
	/*image de fond*/
	background-repeat: no-repeat;
	/*ne répète pas l'image*/
	background-size: cover;
	/*modifie l'image pour tout couvrir*/
	background-attachment: fixed;
	/*empêche les trous*/
	background-color: #cccccc;
	/*couleur de fond au cas où l'image ne marche pas*/
	margin: 0px;
	/*pour que le body prenner toute la page*/
	font-family: arial;
	/*police de caractères appliqué de base*/
	color: white;
	/*couleur de police de base*/
	font-weight: bold
	/*si texte de base est gras*/
}

a {
	color: #4CAF50;
	text-decoration: none;
}

div a:visited {
	color: bisque;
}

a:hover {
	color: #09f5ba;
}

div a:hover {
	text-decoration: underline;
}


/*TODO AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA*/

header {
    width: 100%;
    height: 200px;
    text-align: center;
    background-color: #333;
}

header div {
    background-image: url("../image/header_img.jpg");
    padding-top: 42px;/*npt*/
    height: 150px;/*npt*/
}

header h1 {
    

    font-size: 50px;
	/*taille de la police*/
	letter-spacing: 20px;
	/*distance entre les caractères*/
	color: black;
	/*couleur texte*/
	position: absolute; /*npt*/
	/*fait que position du texte soit décidée selon les paramètres ci-dessous*/
	top: 58px;/*npt*/
	/*distance de l'élément selon le haut de la page*/
	/*marge de gauche de l'élément*/
    text-align: center;
    width: 100%;
}


/*--------------------------------------------------------------------------*/

/*partie contenant les styles pour les recettes*/

/*zone des recettes*/
div#RECIPES {
    width: 95%;
    margin-left: auto;
    margin-right: auto;
    font-family: Verdana, Arial, serif;
	padding: 3em 0 0 0;
	display: flex;/*npt*/
	/*rend les objets flexibles et donc s'adaptant à la page*/
	-webkit-display: flex;/*npt*/
	-ms-display: flex;/*npt*/
	-moz-display: flex;/*npt*/
	-webkit-display: flex;/*npt*/
	flex-wrap: wrap;/*npt*/
	/*spécifie si l'objet doit se déplacer selon la place*/
	-webkit-flex-wrap: wrap;/*npt*/
	-ms-flex-wrap: wrap;/*npt*/
	-moz-flex-wrap: wrap;/*npt*/
	-webkit-flex-wrap: wrap;/*npt*/
	justify-content: space-evenly;/*npt*/
	/*type d'espacement entre les objets*/
    -webkit-justify-content: space-evenly;/*npt*/
	-ms-justify-content: space-evenly;/*npt*/
	-moz-justify-content: space-evenly;/*npt*/
	-webkit-justify-content: space-evenly;/*npt*/
	align-items: flex-start;/*npt*/
	/*spécifie comment les objets doivent se suivre, ici en ligne*/
	-webkit-align-items: flex-start;/*npt*/
	-ms-align-items: flex-start;/*npt*/
	-moz-align-items: flex-start;/*npt*/
	-webkit-align-items: flex-start;/*npt*/
	margin: 10px 20px 20px 20px;/*npt*/
	/*distances entre les différents éléments du flex*/
}

/*contour des recettes*/
div#RECIPES div {
    width: 400px;
}

/*corps des recettes*/
div#RECIPES ul.recipebody {
    list-style-type: none;
	/*élimine le point des objets de liste*/

	/*distance entre les objets*/

	padding: 0;/*npt*/
	/*distance avec les autres sections*/
	overflow: hidden;/*npt*/
	/*empêche les objets de déborder*/
	background-color: #333;
	/*couleur de fond*/
	position: relative;/*npt*/
	/*position classique*/
    width: 100%;/*npt*/
	/*largeur prise par la liste sur la page*/
	border-radius: 12px;
	/*arrondissement des bordures*/
}


/*image des recettes*/
div#RECIPES ul.recipebody li img.recipeimage {
    border-radius: 12px;
	margin-top: 3px;
	margin-bottom: 0px;
	margin-left: 2px;
    margin-right: 2px;
	height: 300px;
	width: 98%;

    display: block;
    margin-left: auto;
    margin-right: auto;
}

/*partie texte des recettes*/
div#RECIPES ul.recipebody:last-child {
    width: 100%;
}

/*titre de la recette*/
div#RECIPES ul.recipebody:last-child a p {
    font-family: Verdana, Arial, serif;
	font-size: smaller;
    padding-left: 1em;
    padding-right: 0.5em;
}

/*description de la recette*/
div#RECIPES ul.recipebody p.recipedescription {
    padding-left: 1em;
    padding-right: 0.5em;
	font-size: xx-small;
	max-width: 98%;
	text-align: justify;
}

/*liste des ingrédients de la recette*/
div#RECIPES ul.ingredientlist {
    list-style: disc;
    padding: 0 0 0 2em;
}

/*texte des ingrédients de la recette*/
div#RECIPES ul.ingredientlist p {
    padding-right: 0.5em;
	font-size: 6pt;
	max-width: 98%;;
	text-align: left;


}

/*élément de la liste à ingrédients*/
div#RECIPES ul.ingredientlist li {
    padding: 0px;
    font-size: xx-small;
    padding-left: 0em;
}



/*---------------------------------------------------------------------------*/
/*NAVIGATION : tout le code de la barre se trouvant en haut de chaques pages*/

nav ul 
/*liste contenant les liens*/
{
	list-style-type: none;/*npt*/
	/*élimination du point devant chaque éléments li*/
	margin: 0;/*npt*/
	/*éliminations des distances avec les autres éléments*/
	padding: 0;/*npt*/
	/*élimination de la distance avec les bordures*/
	overflow: hidden;/*npt*/
	/*pour que les liens ne sortent pas de la zone voulue*/
	background-color: #333;
	/*couleur de fond de la barre*/
	position: fixed;/*npt*/
	/*position colée en permanence au même point de la fenêtre*/
	top: 0; /*npt*/
	/*positionne l'élément tout en haut de la page*/
	width: 100%;/*npt*/
	/*couvre la largeur totale de la page*/
	z-index: 10;/*npt*/
	/*positionne tout devant l'élément afin que d'autres éléments le cache*/
    height: 50px;
}

nav li
/*éléments de la liste de navigation*/
 {
	float: right;/*npt*/
	/*fait que les éléments se suivre horizontalement*/
	display: block;/*npt*/
	/*permet aux éléments de se suivre tels des blocks et non du texte*/
    padding: 14px 0px /*npt*/
	/*modifie distance avec bordures, augmente distance avec les autres liens*/
    
}

nav li#NAV_USER_IMAGE_BOX
/*éléments de la liste de navigation*/
{
    padding: 0px 0px 14px 0;
}

nav li:first-child
/*dernier élément de la liste, sert à aller tout en bas de la page*/
{
	float: left;/*npt*/
	/*fait venir le block à droite*/
}

nav li a
/*lien des éléments de la liste*/
{
	padding: 14px 14px 100% 3px;
	/*distance avec les bordures*/
    height: 100%;
    margin-left: 0;
    text-align: right;
    
}

#NAV_LOGO_LINK:hover, .NAV_PAGELINK_LINK:hover
/*liens de navigations sauf la page actuelle quand la souris passe dessus*/
{
	background-color: #111;
	/*couleur de fond quand souris sur élément*/
}

nav a, footer.maquette a
/*lien de navigation en bas de la page pour remonter tout en haut*/
{
	text-decoration: none;
	/*élimination du soulignement du lien*/
	color: white;
	/*couleur du lien*/
}


/*en général*/
.NAV_PAGELINK_BOX {
    width: 100px;
}

#NAV_DELOG_BOX, #NAV_USER_IMAGE_BOX {
    width: 50px;
    height: 100%;
    
}

#NAV_USER_IMAGE_BOX {
    background-color: deepskyblue;
}


/*pour l'image du user*/
#NAV_USER_IMAGE_IMG {
    height: 100%;
    width: 100%;
}

/*pour son username*/
#NAV_USERNAME_TEXT, #NAV_USERNAME_TEXT:hover {
    color:white;
    background-color: deepskyblue;
}

#NAV_USER_NAME_BOX {
    max-width: 150px;
}

#NAV_DELOG_BOX {
    background-color: firebrick;
}

#NAV_DELOG_LINK {
    width: 100%;
}

#NAV_DELOG_BOX:hover {
    background-color: crimson;
}

/*partie visiteur*/

#NAV_CONNEXION_BOX {
    width: 250px;
    height: 100%;
    
}

a#NAV_CONNEXION_LINK {
    padding: 20% 35% 20% 35%;
    text-align: center;
    background-color: coral;
}

a#NAV_CONNEXION_LINK:hover {
    background-color: #111;
}



/*---------------------------------------------------------------------------*/
/*CONSCRIPTION : tout le code des éléments uniques des pages connexion et inscription*/

#CONSCRIPTION {
 background-color: #333;
 margin-left: 33%;
 margin-right: 33%;
 padding-left: 10px;
 padding-right: 10px;
 border-radius: 10px;
 text-align: right;
}

div#CONSCRIPTION h1 {
	text-align: center;
}

div#CONSCRIPTION div.CONSCRIPTION_FIELD_BOX {
	text-align: right;
}

div#CONSCRIPTION div.CONSCRIPTION_FIELD_BOX p {
	text-align: left;
	margin-bottom: 0;
}

div#CONSCRIPTION div.CONSCRIPTION_FIELD_BOX input {
	width: 90%;
	margin-right: 2px;
	height: 25px;

}

div#CONSCRIPTION div.CONSCRIPTIONBUTTON {
	margin-left: auto;
	text-align: center;
	width: fit-content;
	margin-top: 10px;
	padding-top: 10px;
	padding-left: 3px;
	padding-right: 3px;

	height: 30px;
	overflow: hidden;
}

div#CONSCRIPTION div.CONSCRIPTIONBUTTON:hover {
	border-radius: 10px;
	background-color: aqua;
}

div#CONSCRIPTION div.CONSCRIPTIONBUTTON a{
	text-decoration: none;
	/*élimination du soulignement du lien*/
	color: white;
	/*couleur du lien*/
}

div#CONSCRIPTION table {
	width: 100%;
	padding-bottom: 10px;
	padding-top: 10px;
}

div#CONSCRIPTION table td {
	width: 50%;

}

div#CONSCRIPTION table tr td:first-child {
	text-align: left;
}

div#CONSCRIPTION ul li a {
	background-color: #4CAF50;
}


/*---------------------------------------------------------------------------*/
/*ONERECIPE : tout le code des éléments uniques de la page Recipe*/

div#ONERECIPE {

}




div#ONERECIPE div.ONERECIPE_PRESENTATION_BOX {
	background-color: #333;
	overflow: hidden;
	margin-bottom: 20px;
}

div#ONERECIPE div.ONERECIPE_PRESENTATION_BOX img {
	width: 100%;
	height: auto;
}

div#ONERECIPE div.ONERECIPE_PRESENTATION_BOX h1{
	text-align: center;
	margin-left: 25px;
	margin-right: 25px;
}

div#ONERECIPE div.ONERECIPE_PRESENTATION_BOX p{
	margin-left: 25px;
	margin-right: 25px;
	text-align: justify;
}




div#ONERECIPE table.ONERECIPE_CREATOR_TABLE {
	margin-left: 50px;
	background-color: #333;
	overflow: hidden;
	border-radius: 10px;
}

div#ONERECIPE table.ONERECIPE_CREATOR_TABLE tr td:first-child img {
	width: 70px;
	height: 70px;
	border-radius: 10px;
	margin-top: 4px;
}

div#ONERECIPE table.ONERECIPE_CREATOR_TABLE tr td:last-child {
	background-color: #333;
	width: fit-content;
	padding-right: 10px;
}




div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX {

}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX h2 {
	padding-bottom: 0;
	margin-bottom: 3px;
	margin-left: 10px;
}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX ul {
	margin-top: 0;
	list-style: none;
	overflow: hidden;
    margin-left: auto;
    margin-right: auto;
    font-family: Verdana, Arial, serif;
	display: flex;/*npt*/
	/*rend les objets flexibles et donc s'adaptant à la page*/
	-webkit-display: flex;/*npt*/
	-ms-display: flex;/*npt*/
	-moz-display: flex;/*npt*/
	-webkit-display: flex;/*npt*/
	flex-wrap: wrap;/*npt*/
	/*spécifie si l'objet doit se déplacer selon la place*/
	-webkit-flex-wrap: wrap;/*npt*/
	-ms-flex-wrap: wrap;/*npt*/
	-moz-flex-wrap: wrap;/*npt*/
	-webkit-flex-wrap: wrap;/*npt*/
	justify-content: left;/*npt*/
	/*type d'espacement entre les objets*/
    -webkit-justify-content: left;/*npt*/
	-ms-justify-content: left;/*npt*/
	-moz-justify-content: left;/*npt*/
	-webkit-justify-content: left;/*npt*/
	align-items: flex-start;/*npt*/
	/*spécifie comment les objets doivent se suivre, ici en ligne*/
	-webkit-align-items: flex-start;/*npt*/
	-ms-align-items: flex-start;/*npt*/
	-moz-align-items: flex-start;/*npt*/
	-webkit-align-items: flex-start;/*npt*/

	/*distances entre les différents éléments du flex*/
}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX ul li {
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 3px;
}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX ul li table {
	background-color: #333;
	border-radius: 10px;
}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX ul li table tr{
	height: 50px;	
}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX ul li table tr td:first-child {
	background-color: aliceblue;
	color: #111;
	border-radius: 10px;
	min-width: 20px;
	max-width: 200px;
}

div#ONERECIPE div.ONERECIPE_INGREDIENT_BOX ul li table tr td:last-child {
	width: fit-content;
	min-width: 20px;
	max-width: 200px;
}




div#ONERECIPE table.ONERECIPE_STEP_TABLE {
	width: 100%;
	background-color: #333;
}

div#ONERECIPE table.ONERECIPE_STEP_TABLE tr {
}

div#ONERECIPE table.ONERECIPE_STEP_TABLE tr td:first-child {
	background-color: #111;
	border-radius: 10px;
	max-width: 20%;
	min-width: 20px;
	text-align: center;
	/*PAS FINIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII*/
}

div#ONERECIPE table.ONERECIPE_STEP_TABLE tr td:last-child {
	background-color: #333;
	/*PAS FINIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII*/
}


/*--------------------------------------------------------------------------*/



